Bug 1927974 - OVN-Kubernetes hits TypeAssertionError panic during network policy setup
Summary: OVN-Kubernetes hits TypeAssertionError panic during network policy setup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Alexander Constantinescu
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks: 1947835
TreeView+ depends on / blocked
 
Reported: 2021-02-12 01:13 UTC by Efraim Marquez-Arreaza
Modified: 2024-06-14 00:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1947835 (view as bug list)
Environment:
Last Closed: 2021-04-09 11:26:01 UTC
Target Upstream Version:
Embargoed:
emarquez: needinfo-
skanakal: needinfo-
emarquez: needinfo-


Attachments (Terms of Use)

Description Efraim Marquez-Arreaza 2021-02-12 01:13:45 UTC
Description of problem:

Removed egressIP still shows as EXTERNAL_IP in Gateway_Router table causing pod failures

Version-Release number of selected component (if applicable):

 * OCP 4.6.8
 * OVN-Kubernetes

How reproducible:

Steps to Reproduce:

1. re-configured egressIP by removing one IP (example: 10.106.95.250*) from egressIP object. 

2. verify Gateway_Router table (OVN-k8s still shows non-exist IP being used as snat in GR table)

lr-nat-list  GR_devocp4rt-p96cs-wwchq
TYPE             EXTERNAL_IP        EXTERNAL_PORT    LOGICAL_IP            EXTERNAL_MAC         LOGICAL_PORT
snat             10.106.95.251                       10.102.76.54
snat             10.106.95.251                       10.102.70.96
snat             10.106.95.251                       10.102.44.212
snat             10.106.95.251                       10.102.74.55
 
lr-nat-list  GR_devocp4rt-p96cs-72wk4
TYPE             EXTERNAL_IP        EXTERNAL_PORT    LOGICAL_IP            EXTERNAL_MAC         LOGICAL_PORT
snat             10.106.95.250*                      10.102.44.212
snat             10.106.95.250*                      10.102.76.54
snat             10.106.95.250*                      10.102.74.55
snat             10.106.95.250*                      10.102.70.96
snat             10.106.95.251                       10.102.44.219

Actual results: see above

Expected results: removed IP should not be used in Gateway_Router tables by OVN-k8s


Additional info:


Note You need to log in before you can comment on or make changes to this bug.